> For the complete documentation index, see [llms.txt](https://docs.eximee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eximee.com/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/0-struktura-i-nawigacja/nawigacja/link-wewnetrzny-pagenavigationlink.md).

# Link wewnętrzny - PageNavigationLink

Komponent linku do strony. Przenosi użytkownika do strony o wskazanym identyfikatorze mid.

![](https://content.gitbook.com/content/2CssJT0zIo4SJQLbSZ6l/blobs/2IoDyukf6l7gbIEhj3Ds/28s_files/image2025-5-16_13-58-54.png)

### PageNavigationLink (Link wewnętrzny)

✅ **Kiedy stosować:**

* Chcesz umożliwić przejście do innej strony formularza.

:x: **Kiedy nie stosować:**

* Potrzebujesz odnośnika do zewnętrznego URL lub innego formularza. **Stosuj**: [ExternalLink](https://docs.eximee.com/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/0-struktura-i-nawigacja/nawigacja/link-externallink.md)

## Właściwości komponentu

<table><thead><tr><th>Właściwość Eximee Designer</th><th width="183.11669921875">Nazwa atrybutu w Źródle</th><th>Opis</th></tr></thead><tbody><tr><td><strong>Strona docelowa</strong><br>(sekcja <strong>Podstawowe właściwości</strong>)</td><td>pageMid</td><td>Mid strony, do której ma prowadzić link.</td></tr><tr><td><strong>Treść</strong><br>(sekcja <strong>Podstawowe właściwości</strong>)</td><td>text</td><td>Etykieta linku</td></tr></tbody></table>

> Więcej informacji o właściwościach komponentu: [Wspólne właściwości komponentów](https://docs.eximee.com/budowanie-aplikacji/interfejs-uzytkownika/formularze/praca-z-komponentami-bazowymi/wspolne-wlasciwosci-komponentow.md)

{% hint style="warning" %}
Uwaga! Link do strony jest nieaktywny na stronie podziękowania, czyli po wysłaniu wniosku!
{% endhint %}

![Ilustracja 1. Wygląd komponentu na wniosku](https://content.gitbook.com/content/2CssJT0zIo4SJQLbSZ6l/blobs/G6SLBncKubhRhbI9u9df/28s_files/image2025-5-16_13-59-20.png)

{% hint style="info" %}
Wniosek demo: demoPageNavigationLink
{% endhint %}

{% hint style="info" %}
♿WCAG: [Dobre praktyki WCAG dla low-code dev](https://docs.eximee.com/budowanie-aplikacji/proces-biznesowy/tworzenie-procesu-biznesowego-w-bpmn-2.0/dobre-praktyki.md)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.eximee.com/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/0-struktura-i-nawigacja/nawigacja/link-wewnetrzny-pagenavigationlink.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
